<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ad_repository',

    /*
     * Package.
     */
    'package'   => 'devdetail',

    /*
     * Modules.
     */
    'modules'   => ['devdetail'],


    'devdetail'       => [
        'model'             => 'AdRepository\Devdetail\Models\Devdetail',
        'table'             => 'devdetails',
        'presenter'         => \AdRepository\Devdetail\Repositories\Presenter\DevdetailItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', ],
        'translate'         => [],

        'upload-folder'     => '/uploads/devdetail/devdetail',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
