This is a Laravel 5 package that provides devdetail management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ad_repository/devdetail`.

    "ad_repository/devdetail": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
AdRepository\Devdetail\Providers\DevdetailServiceProvider::class,

```

And also add it to alias

```php
'Devdetail'  => AdRepository\Devdetail\Facades\Devdetail::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="AdRepository\Devdetail\Providers\DevdetailServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


