<?php

// Admin web routes  for devdetail
Route::group(['prefix' => trans_setlocale().'/admin/devdetail'], function () {
    Route::resource('devdetail', 'AdRepository\Devdetail\Http\Controllers\DevdetailAdminWebController');
});

// Admin API routes  for devdetail
Route::group(['prefix' => trans_setlocale().'api/v1/admin/devdetail'], function () {
    Route::resource('devdetail', 'AdRepository\Devdetail\Http\Controllers\DevdetailAdminApiController');
});

// User web routes for devdetail
Route::group(['prefix' => trans_setlocale().'/user/devdetail'], function () {
    Route::resource('devdetail', 'AdRepository\Devdetail\Http\Controllers\DevdetailUserWebController');
});

// User API routes for devdetail
Route::group(['prefix' => trans_setlocale().'api/v1/user/devdetail'], function () {
    Route::resource('devdetail', 'AdRepository\Devdetail\Http\Controllers\DevdetailUserApiController');
});

// Public web routes for devdetail
Route::group(['prefix' => trans_setlocale().'/devdetails'], function () {
    Route::get('/', 'AdRepository\Devdetail\Http\Controllers\DevdetailPublicWebController@index');
    Route::get('/{slug?}', 'AdRepository\Devdetail\Http\Controllers\DevdetailPublicWebController@show');
});

// Public API routes for devdetail
Route::group(['prefix' => trans_setlocale().'api/v1/devdetails'], function () {
    Route::get('/', 'AdRepository\Devdetail\Http\Controllers\DevdetailPublicApiController@index');
    Route::get('/{slug?}', 'AdRepository\Devdetail\Http\Controllers\DevdetailPublicApiController@show');
});

