<?php

namespace AdRepository\Devdetail\Repositories\Eloquent;

use AdRepository\Devdetail\Interfaces\DevdetailRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DevdetailRepository extends BaseRepository implements DevdetailRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.devdetail.devdetail.model');
    }
}
